import { Component } from 'react';
import { TypeGraph } from '../graph/type-graph';
import { Viewport } from '../graph/viewport';
interface GraphViewportProps {
    typeGraph: TypeGraph | null;
    selectedTypeID: string | null;
    selectedEdgeID: string | null;
    onSelectNode: (id: string | null) => void;
    onSelectEdge: (id: string) => void;
}
interface GraphViewportState {
    typeGraph: TypeGraph | null;
    svgViewport: Viewport | null;
}
export default class GraphViewport extends Component<GraphViewportProps, GraphViewportState> {
    state: GraphViewportState;
    _containerRef: import("react").RefObject<HTMLDivElement>;
    _currentTypeGraph: TypeGraph | null;
    static getDerivedStateFromProps(props: GraphViewportProps, state: GraphViewportState): GraphViewportState | null;
    componentDidMount(): void;
    componentDidUpdate(prevProps: GraphViewportProps, prevState: GraphViewportState): void;
    componentWillUnmount(): void;
    _renderSvgAsync(typeGraph: TypeGraph | null): void;
    render(): import("react/jsx-runtime").JSX.Element;
    focusNode(id: string): void;
    _cleanupSvgViewport(): void;
}
export {};
