import { GraphQLField, GraphQLInterfaceType, GraphQLNamedType, GraphQLObjectType, GraphQLSchema } from 'graphql/type';
export declare function typeObjToId(type: GraphQLNamedType): string;
export declare function typeNameToId(name: string): string;
export declare function extractTypeName(typeID: string): string;
export declare function mapFields<R>(type: GraphQLNamedType, fn: (id: string, field: GraphQLField<any, any>) => R | null): Array<R>;
export declare function mapPossibleTypes<R>(type: GraphQLNamedType, fn: (id: string, type: GraphQLObjectType) => R | null): Array<R>;
export declare function mapDerivedTypes<R>(schema: GraphQLSchema, type: GraphQLNamedType, fn: (id: string, type: GraphQLObjectType | GraphQLInterfaceType) => R | null): Array<R>;
export declare function mapInterfaces<R>(type: GraphQLNamedType, fn: (id: string, type: GraphQLInterfaceType) => R | null): Array<R>;
