type PromiseState<T> = {
    loading: true;
    error: null;
    value: undefined;
} | {
    loading: false;
    error: null;
    value: T;
} | {
    loading: false;
    error: unknown;
    value: undefined;
};
export type MaybePromise<T> = Promise<T> | T;
export declare function usePromise<T>(maybePromise: MaybePromise<T>): [PromiseState<T>, (value: T) => void];
export {};
